"use strict";
const common_vendor = require("../common/vendor.js");
const getNavTop = () => {
  let windowWidth = common_vendor.wx$1.getSystemInfoSync().windowWidth;
  const statusBarHeight = common_vendor.wx$1.getSystemInfoSync().statusBarHeight;
  const menuButton = common_vendor.wx$1.getMenuButtonBoundingClientRect();
  (menuButton.height + (menuButton.top - statusBarHeight) * 2) * (750 / windowWidth);
  const navTop = statusBarHeight * (750 / windowWidth);
  return navTop;
};
exports.getNavTop = getNavTop;
