import { http } from "@/utils/http";
/**
 * 任务列表（旧）
 */
export const taskList = (data: any) => {
  return http({
    method: "GET",
    url: "/customer/taskList",
    data,
  });
};
/**
 * 任务门店列表(旧)
 */
export const storeListByTaskId = (taskId: string, data: any) => {
  return http({
    method: "GET",
    url: "/customer/storeListByTaskId/" + taskId,
    data,
  });
};
/**
 * 任务列表（新）
 */
export const todaysTask = (data: any) => {
  return http({
    method: "GET",
    url: "/wx/taskInfo/todaysTask",
    data,
  });
};
/**
 * 任务门店列表(新)
 */
export const taskDetail = (data: any) => {
  return http({
    method: "GET",
    url: "/wx/taskInfo/taskDetail",
    data,
  });
};
/**
 * 今日任务未读数量
 */
export const todaysTaskCount = () => {
  return http({
    method: "GET",
    url: "/wx/taskInfo/todaysTaskCount",
  });
};
/**
 * 筛选渠道列表
 */
export const channelByUserId = () => {
  return http({
    method: "GET",
    url: "/wx/taskInfo/getChannelByUserId",
  });
};

export const postLoginAPI = (data: any) => {
  return http({
    method: "POST",
    url: "/login",
    data,
  });
};

export const paymentAPI = (data: any) => {
  return http({
    method: "POST",
    url: "/v3/fund-app/mch-transfer/transfer-bills",
    data,
  });
};
